package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * LpWfMonthData对象 lp_wf_month_data
 *
 * @author hlf
 * @date 2022-03-16
 */
public class LpWfMonthData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long wfNo;

    private Long modelNo;

    private Date dataTime;

    private Double generatingCapacity;

    private Double pfGeneratingCapacity;

    private Long dataFlag;

    private int statisticType;

    public void setWfNo(Long wfNo) {
        this.wfNo = wfNo;
    }

    public Long getWfNo() {
        return wfNo;
    }

    public void setModelNo(Long modelNo) {
        this.modelNo = modelNo;
    }

    public Long getModelNo() {
        return modelNo;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setGeneratingCapacity(Double generatingCapacity) {
        this.generatingCapacity = generatingCapacity;
    }

    public Double getGeneratingCapacity() {
        return generatingCapacity;
    }

    public void setPfGeneratingCapacity(Double pfGeneratingCapacity) {
        this.pfGeneratingCapacity = pfGeneratingCapacity;
    }

    public Double getPfGeneratingCapacity() {
        return pfGeneratingCapacity;
    }

    public void setDataFlag(Long dataFlag) {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() {
        return dataFlag;
    }

    public int getStatisticType() {
        return statisticType;
    }

    public void setStatisticType(int statisticType) {
        this.statisticType = statisticType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("wfNo", getWfNo())
                .append("modelNo", getModelNo())
                .append("dataTime", getDataTime())
                .append("generatingCapacity", getGeneratingCapacity())
                .append("pfGeneratingCapacity", getPfGeneratingCapacity())
                .append("dataFlag", getDataFlag())
                .toString();
    }
}
